Summary: C++ library for loading Gigasampler files and DLS Level 1/2 files.
Name: libgig
Version: 3.2.0
Release: 1%{?dist}
License: GPL
Group: System Environment/Libraries
Source0: http://download.linuxsampler.org/packages/libgig-%{version}.tar.bz2
URL: http://www.linuxsampler.org/libgig/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Packager: Fernando Lopez-Lezcano
Distribution: Planet CCRMA
Vendor: Planet CCRMA

BuildRequires: automake autoconf libtool pkgconfig
BuildRequires: libsndfile-devel audiofile-devel doxygen

%description
C++ library for loading Gigasampler files and DLS Level 1/2 files.

%package devel
Summary: C++ library for loading Gigasampler files and DLS Level 1/2 files.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
C++ library for loading Gigasampler files and DLS Level 1/2 files.

%prep
%setup -q -n libgig-%{version}%{?cvsdate:-%{cvsdate}}
if [ -f Makefile.cvs ]; then make -f Makefile.cvs; fi

%build
%configure
%{__make} %{?__smp_mflags}
%{__make} docs

%install
%{__rm} -rf %{buildroot}
%{__mkdir} -p %{buildroot}
%{makeinstall}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO doc/html
%{_bindir}/*
%{_libdir}/libgig.so*
%{_mandir}/man1/*

%files devel
%defattr(-,root,root)
%doc doc/html/*
%{_libdir}/libgig.a
%exclude %{_libdir}/libgig.la
%{_libdir}/pkgconfig/gig.pc
%{_includedir}/*

%changelog
* Wed Nov 14 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 3.2.0-1
- updated to version 3.2.0

* Mon Jul  2 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 3.1.1-1
- updated to version 3.1.1

* Wed Dec  6 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 3.1.0-1
- updated to version 3.1.0

* Sat May 20 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 3.0.0-1
- updated to version 3.0.0

* Fri Nov 25 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 2.0.2-0.1.cvs
- experimental cvs version with write support
  cvs -z3 -d:pserver:anonymous@cvs.linuxsampler.org:/var/cvs/linuxsampler co libgig

* Wed Jun 29 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 2.0.1-1
- updated to 2.0.1

* Fri May 26 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 2.0.0-1
- updated to 2.0.0

* Thu Jan 20 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- packaged for Planet CCRMA from original spec file in tarball
- spec file tweaks

* Wed Nov 24 2004 Rui Nuno Capela <rncbc@users.sourceforge.net>
- prepared for 1.0.0

* Sat Jul 10 2004 Christian Schoenebeck <cuse@users.sourceforge.net>
- renamed 'libgig.pc' to 'gig.pc' as well as the pkg-config lib name

* Wed Jul 02 2004 Rui Nuno Capela <rncbc@users.sourceforge.net>
- Created and corrected initial libgig.spec
